
textures/industrialrevolution/bubble_a
{
	qer_editorimage textures/industrialrevolution/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0 1

	{
		map sprites/bubble.tga
		blendFunc add
		rgbGen vertex
		alphaGen vertex
	}
}

textures/industrialrevolution/bubble_b
{
	qer_editorimage textures/industrialrevolution/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0.2 1.1

	{
		map sprites/bubble.tga
		blendFunc add
		rgbGen vertex
		alphaGen vertex
	}
}

textures/industrialrevolution/bubble_c
{
	qer_editorimage textures/industrialrevolution/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0.4 1.2

	{
		map sprites/bubble.tga
		blendFunc add
		rgbGen vertex
		alphaGen vertex
	}
}

textures/industrialrevolution/bubble_d
{
	qer_editorimage textures/industrialrevolution/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0.6 0.9

	{
		map sprites/bubble.tga
		blendFunc add
		rgbGen vertex
		alphaGen vertex
	}
}

textures/industrialrevolution/bubble_e
{
	qer_editorimage textures/industrialrevolution/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0.8 0.8

	{
		map sprites/bubble.tga
		blendFunc add
		rgbGen vertex
		alphaGen vertex
	}
}

textures/industrialrevolution/proto_light_noflicker
{
	q3map_lightimage textures/base_light/proto_lightmap.tga
	qer_editorimage textures/base_light/proto_light.tga
	//surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_light/proto_light.tga
		blendFunc filter
		rgbGen identity
	}

	{	
		map textures/base_light/proto_lightmap.tga
		blendfunc GL_ONE GL_ONE
	}

	{	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/industrialrevolution/revsky
{
	// de-yellowize the sky light ... I'm using a bit of ambient yellow
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/inteldimredclouds.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512 
	q3map_sunExt 0.25 0.25 0.20 75 0 75 3 16
	q3map_surfacelight 200
	q3map_backsplash 0 256

	skyparms - 512 -
	
	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.05 0.025
		tcMod scale 3 2
		depthWrite
	}

	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/industrialrevolution/fan_newgrate
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid	
	//cull none
	//nopicmip

	{
		map textures/industrialrevolution/fan_newgrate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/industrialrevolution/bluelift_glow_green
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	//cull none
	//nopicmip
	polygonOffset

	{
		map textures/industrialrevolution/newgrate_glow_green.jpg
		blendfunc add
		rgbgen wave triangle 1 5 1 3
	}

	{
		map textures/industrialrevolution/newgrate_glow_green.jpg
		blendfunc add
		rgbgen wave triangle 1 2 0 7
	}
}

textures/industrialrevolution/proto_fence
{
        qer_editorimage textures/base_trim/proto_fence.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm nomarks
        cull none
        nopicmip

        {
                map textures/base_trim/proto_fence.tga
                tcMod scale 3 3
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen identity
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc filter
                depthFunc equal
        }
}

textures/industrialrevolution/ctfu_direction_blue
{    
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   
	{
		map textures/industrialrevolution/ctfu_direction_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/industrialrevolution/ctfu_direction_red
{    
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
        
	{
		map textures/industrialrevolution/ctfu_direction_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/industrialrevolution/ctfu_weapfloor_neutral
{
	qer_editorimage textures/industrialrevolution/ctfu_weapfloor_fx.tga
//	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/industrialrevolution/ctfu_weapfloor_fx.tga
		rgbGen wave sin 0.9 0.2 0 0.7
		tcMod rotate 180
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/industrialrevolution/ctfu_weapfloor_1.tga
		blendfunc blend
		rgbGen identity
		depthFunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
	{
		map textures/industrialrevolution/ctfu_weapfloor_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/base_floor/hexplate_01
{
	surfaceparm	metalsteps		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_floor/hexplate_01.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/base_light/striplight_blue2
{
	qer_editorimage textures/base_light/striplight_blue2.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map textures/base_light/striplight_blue2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
	}
	{
		map textures/base_light/striplight_blue2.blend.tga
		blendfunc add
		rgbGen wave sin 0.8 0.2 1 .5
		tcMod scroll -0.5 0
	}
}

textures/base_light/striplight_red
{
	qer_editorimage textures/base_light/striplight_red.tga
	q3map_surfacelight 1000
	q3map_lightimage textures/base_light/striplight_red.blend.tga
	surfaceparm nomarks
	surfaceparm nodlight
	{
		map textures/base_light/striplight_red.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
	}
	{
		map textures/base_light/striplight_red.blend.tga
		rgbGen wave sin 0.5 0.5 1 .5
		blendfunc add
	}
}

textures/common/blackout
{
	qer_editorimage textures/common/black.tga
	surfaceParm nolightmap  
	surfaceparm nomarks
	{
		map textures/common/black.tga
		rgbGen vertex
	}
}

textures/ct_1997/support_beam_01
{
	qer_editorimage textures/ct_1997/support_beam_01.tga
	surfaceparm	metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ct_1997/support_beam_01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/x/f/ctf_blueflag_nonsolid
{
	qer_editorImage textures/x/f/ctf_blueflag.tga
    tessSize 64
    deformVertexes wave 194 sin 0 3 0 .4
    deformVertexes normal .5 .1
    surfaceparm nomarks
	surfaceparm nonsolid
    cull none
    {
		map textures/x/f/ctf_blueflag.tga
		rgbGen identity
	}
    {
		map textures/effects/redflagmap.tga
        tcGen environment
        tcmod scale 9 3
        tcmod scroll .1 .7
        blendfunc add
        rgbGen identity
	}
    {
		map textures/x/f/ctf_blueflag.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
    {
      	map textures/sfx/shadow.tga
        tcGen environment 
        blendfunc filter
        rgbGen identity
	}
}

textures/x/f/ctf_redflag_nonsolid
{
	qer_editorImage textures/x/f/ctf_redflag.tga
    tessSize 64
    deformVertexes wave 194 sin 0 3 0 .4
    deformVertexes normal .3 .2
    surfaceparm nomarks
	surfaceparm nonsolid
    cull none
    {
		map textures/x/f/ctf_redflag.tga
		rgbGen identity
	}
    {
		map textures/effects/blueflagmap.tga
        tcGen environment
        tcmod scale 9 3
        tcmod scroll .1 .7
        blendfunc add
        rgbGen identity
	}
    {
		map textures/x/f/ctf_redflag.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
    {
      	map textures/sfx/shadow.tga
        tcGen environment 
        blendfunc filter
        rgbGen identity
	}
}

textures/x/f/ctf_redflag2_still
{
	qer_editorimage textures/x/f/ctf_redflag2.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    {
		map textures/x/f/ctf_redflag2.tga
		rgbGen identity
	}
    {
		map textures/effects/blueflagmap.tga
        tcGen environment
        tcmod scale 9 3
        tcmod scroll .001 .007
        blendfunc add
        rgbGen identity
	}
    {
		map textures/x/f/ctf_redflag2.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
    {
       	map textures/sfx/shadow.tga
        tcGen environment 
        blendfunc filter
        rgbGen identity
	}
}

textures/x/f/ctf_blueflag2_still
{
	qer_editorimage textures/x/f/ctf_blueflag2.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    {
		map textures/x/f/ctf_blueflag2.tga
		rgbGen identity
	}
    {
		map textures/effects/redflagmap.tga // Oddly backwards
        tcGen environment
        tcmod scale 9 3
        tcmod scroll .001 .007
        blendfunc add
        rgbGen identity
	}
    {
		map textures/x/f/ctf_blueflag2.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
    {
       	map textures/sfx/shadow.tga
        tcGen environment 
        blendfunc filter
        rgbGen identity
	}
}

textures/ctf2/blueteam03
{      
    qer_editorimage textures/ctf2/blueteam03.tga 	
	polygonOffset
	qer_trans 0.5
	sort 6
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip
	{
	  	map textures/ctf2/blueteam03.tga
		blendfunc add
		rgbgen vertex
		depthWrite
	}
}

textures/ctf2/redteam03
{      
    qer_editorimage textures/ctf2/redteam03.tga	
	polygonOffset
	qer_trans 0.5
	sort 6
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip
	{
	  	map textures/ctf2/redteam03.tga
		blendfunc add
		rgbgen vertex
		depthWrite
	}
}

textures/x/f2/redteam01
{        
	cull none
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	{
	  	map textures/x/f2/redteam01.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .2 .5 0 .2
	}
}

textures/x/f2/blueteam01
{        
	cull none
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	{
	  	map textures/x/f2/blueteam01.tga
		blendfunc GL_SRC_ALPHA GL_ONE 
		rgbGen wave sin .2 .5 0 .2
	}
}

textures/phantq3dm3/tp_base_light_10k
{
	qer_editorimage textures/phantq3dm3/tp_base_light_001.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_base_light_001.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_base_light_001_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/phantq3dm3/tp_base_rust_01_nonsolid
{
	qer_editorimage textures/phantq3dm3/tp_base_rust_01.tga
	surfaceparm	nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_base_rust_01.tga
		blendfunc filter
	}
}

textures/phantq3dm3/tp_factorywindow_001
{
	q3map_surfacelight 10
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_001.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_001_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/phantq3dm3/tp_factorywindow_002
{
	q3map_surfacelight 10
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_002.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_002_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/phantq3dm3/tp_factorywindow_003
{
	q3map_surfacelight 10
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_003.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_003_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/phantq3dm3/tp_fan_rusted
{
	qer_editorimage textures/phantq3dm3/tp_fan_rusted.tga
    surfaceparm trans	
    surfaceparm nomarks	
	cull none
    nopicmip
	{
		clampmap textures/phantq3dm3/tp_fan_rusted.tga
		tcMod rotate 450
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/phantq3dm3/tp_pipecap
{	
	surfaceparm trans	
   	surfaceparm nonsolid
    surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_pipecap.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity		
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/phantq3dm3/tp_rust_trim_002
{	
	cull none    	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_rust_trim_002.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/phantq3dm3/tp_rust_trim_003_solid
{
	qer_editorimage textures/phantq3dm3/tp_rust_trim_003.tga
	surfaceparm metalsteps	
	cull none	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_rust_trim_003.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/phantq3dm3/tp_slime
{              
	qer_editorimage textures/phantq3dm3/tp_slime.tga
	q3map_globaltexture
	qer_trans .80
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	nopicmip
	{
		map textures/phantq3dm3/tp_slime_1.tga
		blendfunc GL_ONE GL_ONE //SRC_COLOR
		tcMod scroll .02 .02
                       
	}
	{
		map textures/liquids/proto_poolpass.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .6
		tcMod scroll .06 .04
	}
	{
		map textures/phantq3dm3/tp_slime.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll .05 .05
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/phantq3dm3/tp_wires_001
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	{
		map textures/phantq3dm3/tp_wires_001.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
    {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/proto2/grill03b
{      	
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none   
	nopicmip
	{
		map textures/proto2/grill03b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/se_gothic/steptread_32
{
	qer_editorimage textures/se_gothic/steptread_32.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/se_gothic/steptread_32.tga
		blendfunc filter
	}
}

textures/se_industrial/clang_floor_blue
{
	qer_editorimage textures/shw/clang_floor2_4.tga
	surfaceparm	metalsteps		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shw/clang_floor2_4.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/se_industrial/clang_floor_red
{
	qer_editorimage textures/shw/clang_floor2_1.tga
	surfaceparm	metalsteps		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shw/clang_floor2_1.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/se_industrial/copper_64_tile_blue
{
	qer_editorimage textures/gothic_trim/copper_64_tile_oxidized.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/copper_64_tile_oxidized.tga
		blendfunc filter
	}
}

textures/se_industrial/copper_64_tile_red
{
	qer_editorimage textures/gothic_trim/copper_64_tile.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/copper_64_tile.tga
		blendfunc filter
	}
}

textures/se_industrial/copper_plate_blue
{
	qer_editorimage textures/gothic_trim/copper_plate_oxidized.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/copper_plate_oxidized.tga
		blendfunc filter
	}
}

textures/se_industrial/copper_sm_blue
{
	qer_editorimage textures/gothic_trim/copper_sm_oxidized.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/copper_sm_oxidized.tga
		blendfunc filter
	}
}

textures/se_industrial/copper_sm_red
{
	qer_editorimage textures/gothic_trim/copper_sm.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/copper_sm.tga
		blendfunc filter
	}
}

textures/se_industrial/exit_blue_left
{
	qer_editorimage textures/se_industrial/exit_green_left.tga
	q3map_lightimage textures/se_industrial/exit_green_left.tga
	surfaceparm nomarks
	q3map_surfacelight 403
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/se_industrial/exit.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/se_industrial/exit_green_left.blend.tga
		blendfunc add
	}
}

textures/se_industrial/exit_blue_right
{
	qer_editorimage textures/se_industrial/exit_green_right.tga
	q3map_lightimage textures/se_industrial/exit_green_right.tga
	surfaceparm nomarks
	q3map_surfacelight 403
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/se_industrial/exit.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/se_industrial/exit_green_right.blend.tga
		blendfunc add
	}
}

textures/se_industrial/exit_red_left
{
	qer_editorimage textures/se_industrial/exit_red_left.tga
	q3map_lightimage textures/se_industrial/exit_red_left.tga
	surfaceparm nomarks
	q3map_surfacelight 403
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/se_industrial/exit.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/se_industrial/exit_red_left.blend.tga
		blendfunc add
	}
}

textures/se_industrial/exit_red_right
{
	qer_editorimage textures/se_industrial/exit_red_right.tga
	q3map_lightimage textures/se_industrial/exit_red_right.tga
	surfaceparm nomarks
	q3map_surfacelight 403
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/se_industrial/exit.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/se_industrial/exit_red_right.blend.tga
		blendfunc add
	}
}

textures/se_industrial/light_5k_dirty
{
	qer_editorimage textures/shw/geolight4_02.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shw/geolight4_02.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/shw/geolight4_01.blend.tga
		blendfunc add
	}
}

textures/se_industrial/pipe_blue
{
	qer_editorimage textures/proto2/metal_green_bright.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/metal_green_bright.tga
		blendfunc filter
	}
}

textures/se_industrial/pipe_red
{
	qer_editorimage textures/proto2/metal_orange_bright.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/metal_orange_bright.tga
		blendfunc filter
	}
}

textures/industrialrevolution/redlift_glow_yellow
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	//cull none
	//nopicmip
	polygonOffset

	{
		map textures/industrialrevolution/newgrate_glow_yellow.jpg
		blendfunc add
		rgbGen wave square 0 1 0 1
	}
}

textures/xxxx2010jlctf3/redribbon
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	deformVertexes wave 32 sin 0 2 0 6
	deformVertexes wave 45 sin 0 2 0.5 6

	{
		map textures/x/f/ctf_redflag2.tga
		rgbGen lightingDiffuse
	}
}


textures/xxxx2010jlctf3/blueribbon
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	deformVertexes wave 32 sin 0 2 0 6
	deformVertexes wave 45 sin 0 2 0.5 6

	{
		map textures/x/f/ctf_blueflag2.tga
		rgbGen lightingDiffuse
	}
}